import { domainManager } from '@/utils/domainManager'
class AliyunUpload {
    static UploadAsync = async (file:any,name:string)=>{
        try {
            let path = "/Sale/Uploadvideo/"
            const formData = new FormData();
            formData.append('file', file);
            const response = await fetch(`${domainManager().UploadUrl}/Upload/UploadToALiOSS?filePath=${path}`, {
              method: 'POST',
              body: formData,
            });
            if(response.ok){
                let result = await response.text()
                let datas = JSON.parse(result)
                return datas.FilePath
            }
            return ''
        } catch (error) {
            return ''
        }
    }
}

export default AliyunUpload